# StripeMaterialProperty

#### new Cesium.StripeMaterialProperty(options)
DataSources/StripeMaterialProperty.js 40

  A `MaterialProperty` that maps to stripe `Material` uniforms.

  Name | Type | Description
  --- | --- | ---

  `options`

  Object

  optional Object with the following properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `evenColor` | Property | `Color.WHITE` | optional A Property specifying the first `Color`.
  `oddColor` | Property | `Color.BLACK` | optional A Property specifying the second `Color`.
  `repeat` | Property | `1` | optional A numeric Property specifying how many times the stripes repeat.
  `offset` | Property | `0` | optional A numeric Property specifying how far into the pattern to start the material.
  `orientation` | Property | `StripeOrientation.HORIZONTAL` | optional A Property specifying the `StripeOrientation`.

### Members

#### readonlydefinitionChanged : Event
DataSources/StripeMaterialProperty.js 94

  Gets the event that is raised whenever the definition of this property changes. The definition is considered to have changed if a call to getValue would return a different result for the same time.

#### evenColor : Property
DataSources/StripeMaterialProperty.js 112

  Gets or sets the Property specifying the first `Color`.
  Default Value: `Color.WHITE`

#### readonlyisConstant : Boolean
DataSources/StripeMaterialProperty.js 76

  Gets a value indicating if this property is constant. A property is considered constant if getValue always returns the same result for the current definition.

#### oddColor : Property
DataSources/StripeMaterialProperty.js 119

  Gets or sets the Property specifying the second `Color`.
  Default Value: `Color.BLACK`

#### offset : Property
DataSources/StripeMaterialProperty.js 129

  Gets or sets the numeric Property specifying the point into the pattern to begin drawing; with 0.0 being the beginning of the even color, 1.0 the beginning of the odd color, 2.0 being the even color again, and any multiple or fractional values being in between.
  Default Value: `0.0`

#### orientation : Property
DataSources/StripeMaterialProperty.js 105

  Gets or sets the Property specifying the `StripeOrientation`/
  Default Value: `StripeOrientation.HORIZONTAL`

#### repeat : Property
DataSources/StripeMaterialProperty.js 136

  Gets or sets the numeric Property specifying how many times the stripes repeat.
  Default Value: `1.0`

### Methods

#### equals(other) → Boolean
DataSources/StripeMaterialProperty.js 175

  Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

  Name | Type | Description
  --- | --- | ---
  `other` | Property | optional The other property.

  ##### Returns:

  `true` if left and right are equal, `false` otherwise.

#### getType(time) → String
DataSources/StripeMaterialProperty.js 145

  Gets the `Material` type at the provided time.

  Name | Type | Description
  --- | --- | ---
  `time` | JulianDate | The time for which to retrieve the type.

  ##### Returns:

  The type of material.

#### getValue(time, result) → Object
DataSources/StripeMaterialProperty.js 156

  Gets the value of the property at the provided time.

  Name | Type | Description
  --- | --- | ---
  `time` | JulianDate | The time for which to retrieve the value.
  `result` | Object | optional The object to store the value into, if omitted, a new instance is created and returned.

  ##### Returns:

  The modified result parameter or a new instance if the result parameter was not supplied.